Bug 869428 - [RFE] New API method for splice integration
[RFE] New API method for splice integration
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
1.8
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-10-23 17:10 EDT by Stephen Herr
Modified: 2012-11-01 12:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: spacewalk-java-1.8.168-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 12:19:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2012-10-23 17:10:39 EDT
We need a new API method that looks something like so:

Satellite API specification:
Name: system.listActiveSystemDetails
Parameters:
 * string sessionKey
 * array:
    * int - system_id

Returns:
 * array:
   * struct:
      * int - id - the system id
      * string - name - the system's name
      * dateTime.iso8601 - last_checkin
      * array - network_devices
        * struct
          * string - ip_address
          * string - interface
          * string - netmask
          * string - mac_address
          * string - module
          * string - broadcast
          * array - ipv6
            * struct
              * string - address
              * string - netmask
              * string - scope
      * struct - dmi
        * string - vendor
        * string - system
        * string - product
        * string - asset
        * string - board
        * string - bios_release
        * string - bios_vendor
        * string - bios_version
      * int - ram - The amount of physical memory in MB
      * int - swap - the amount of swap space in MB
      * struct - cpu_info
        * string - cache
        * string - family
        * string - mhz
        * string - flags
        * string - model
        * string - vendor
        * string - arch
        * string - stepping
        * string - count
        * NOTE: sockets not currently available
      * array - subscribed_channels - subscribed channel list
        * struct
          * int - channel_id
          * string - channel_label
      * array - active-virt-guests - active, registered guests
        * int - system_id
Comment 5 Jan Pazdziora 2012-10-30 15:24:26 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 6 Jan Pazdziora 2012-11-01 12:19:44 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.